%define major 5
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A library for audio labelling
Name:		aubio
Version:	0.4.9
Release:	%mkrel 2
License:	GPLv2+
Group:		Sound
Url:		http://aubio.org/
Source0:	http://aubio.org/pub/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.2-format_not_a_string_literal_and_no_format_arguments.patch
BuildRequires:	lib64fftw-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	lib64alsa2-devel
BuildRequires:	swig
BuildRequires:	liblash2-devel
BuildRequires:	pd-devel
BuildRequires:	txt2man
BuildRequires:	python3-numpy-devel
BuildRequires:	python-testoob	
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: aubio-audacity-plugin

%description
A library for audio labelling. Its features include segmenting 
a sound file before each of its attacks, performing pitch 
detection, tapping the beat and producing midi streams from 
live audio. The name aubio comes from 'audio' with a typo: 
several transcription errors are likely to be found in the 
results too.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes: lib64aubio2

%description -n %{libname}
Main library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%package -n python3-%{name}
Summary:	Python bindings for %{name}
Group:		Development/Python
Obsoletes: python-aubio
Requires:	%{libname} = %{version}-%{release}
%py_requires -d

%description -n python3-%{name}
Python bindings for %{name}.


%prep
%setup -q
###%patch0 -p1

%build
CFLAGS+=' -fcommon'
%define _disable_ld_no_undefined 1
export CPPFLAGS="%{optflags} -I%{_includedir}/pd"
### configure2_5x --disable-static
./waf configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
 --enable-fftw3 \
 --enable-jack \
 --enable-double \
  --disable-apple-audio

./waf build 


%py3_build
### %make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

### %makeinstall_std
./waf install --destdir=%{buildroot}

%py3_install

# we don't want these
find %{buildroot} -name '*.la' -delete
rm %{buildroot}/%{_libdir}/libaubio.a

%ifarch x86_64
#mv -f %{buildroot}%{_prefix}/lib/pd %{buildroot}%{_libdir}/pd
%endif

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/man/man1

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
                  
%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python3-%{name}
%{python3_sitearch}/aubio/
%{python3_sitearch}/aubio-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Jun 21 2022 TerryN <terryn94 at gmail.com>  0.4.9-2pclos2022
- rebuild for python 3.10

* Mon Oct 18 2021 onkelho <oh.quait at gmail.com> - 0.4.9-1pclos2020
- new last release

* Sat Sep 30 2017 bb2 <bb2> - 0.3.2-7pclos2017
- rebuild against updates

* Sun Aug 18 2013 billybot <billybot> 0.3.2-6pclos2013
- update python 2.7

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.3.2-5pclos2010
- Rebuild for x86_64

* Sat Sep 04 2010 Texstar <texstar at gmail.com> 0.3.2-4pclos2010
- rebuild

* Mon Jul 20 2009 pcserver <pcserver@hushmail.com> 0.3.2-3pclos2009
- rebuild


